This file shows the changes in recent releases of MODx. The most current release is usually the 
development release, and is only shown to give an idea of what's currently in the pipeline.

MODx Evolution 1.0.0 (rev 5601 - July 30, 2009)
===================================
--------------------------------------------
Bugfixes & Feature Requests:
--------------------------------------------
* [#MODX-1061] Link list fixed in TinyMCE 
* [#MODX-1060] Escape language string for the recycle bin to fix a problem with disappearing trees
* [#MODX-1027] Fix broken images with Image TV Preview plugin when no image selected
* [#MODX-1033] Implement consistent dates throughout the Manager and add a date format setting
* [#MODX-1045] Replace JS Alert tooltips with Mootools hover tooltips
* [#MODX-1049] Cancel action when editing a module goes to wrong location
* [#MODX-1026] Canceling a template change in Manager lost the original template setting
* [#MODX-1028] Manager did not properly handle failed login attempt counts or block users
* [#MODX-999] Fixed width buttons break with some languages (setting pages)
* [#MODX-1023] Date and Image TV changing doesn't work correctly in DocManager.
* [#MODX-1013] Make DocManager use the new DatePicker
* [MODX-1009] Fix grammar/spelling error in english language file.
* [MODX-1008] Fix broken icons in Resource Overview->View Children
* [#MODX-989] Fix issue with DatePicker time field styling
* [#MODX-993] Fix broken URL rewriting when friendly alias paths are enabled
* [#MODX-981] Replaced missing event icons.
* [#MODX-968] Replaced folder icon in tree. (nodes.php)
* [#MODX-974] Fixed missing save icon in files.dynamic.php
* [#MODX-898] Allow passing script names and versions to regClient*, setting stage for more intelligent handling of script inclusion
* [#MODX-863] Isolate deprecated magic_quotes-related code inside PHP version checks for less than 5.3 to avoid deprecated warnings in 5.3/errors in 6.0
* [#MODX-941] Add % character to transliteration plugin tables
* [#MODX-971] Fix to TransAlias plugin to allow it to work with the Import HTML action.
* [#MODX-591] Escape the database user and password in config.inc.php during install
* [#MODX-952] Modified the warning message with MySQL 4.x
* [#MODX-944] Installer with IE8 does not show final 'Install' button on last page
* [#MODX-904] Add better email format checking when adding/updating users.
* [#MODX-950] Scroll the File Manager to the editing textarea when clicking the edit button.
* [#MODX-905] Fix SQL error in cache_sync processor
* [#MODX-866] Allow manual editing of the datepicker fields
* [#MODX-720] The website name on the Manager login page links back to the front end site
* [#MODX-916] Better handling of text direction and encoding for Manager languages
* [#MODx-882] Specify the default Manager language during installation
* [#MODx-815] Users without edit or create module permissions can get to Modules editing screen
* [#MODX-390] Infinite loop possible during install
* [#MODX-909] Roles menu item showed even if Manager User did not have Roles permissions
* [#MODX-851] Manager User and Webuser email messages were always in English despite the language setting
* [#MODX-830] Friendly URLs can now contain UTF8 characters
* [#MODX-897] Dynamic title for create/edit Resource action page depending on state
* [#MODX-891] Manager language files contains hard-coded CSS spans
* [#MODX-867] Add system events to Manager log Welcome page to make custom dashboard plugins possible
* [#MODX-602] Remove the calltime-pass-by-ref errors on the Export Site HTML screen.
* [#MODX-725] Retain checkbox TV values when changing template, also fix postback rendering of TV values (broken in a recent commit)
* [#MODX-810] Ensure that the web user ID is passed correctly to the OnWUsrFormPrerender and OnWUsrFormRender events.
* [#MODX-733] Apply fix for multi-byte characters being garbled in 'Site' > 'Search'.
* [#MODX-719] Small fix to DocManager to prevent parse error when no doc groups are present and an update to doc groups is attempted.
* [#MODX-741] Fix MCPUK browser navigation to work with folders that have spaces in them.
* [#MODX-813] Fix the image editor's src link for the image tag.
* [#MODX-822], [#MODX-465] Add basic file encoding for the file manager, not a complete solution but consensus that it's better than previous.
* [#MODX-847] Replace QuickEdit with QuickManager+ (includes /assets/js/jQuery 1.3.2.min.js)
* [#MODX-838] Ensure Datepicker correctly closes when select and textboxes lose focus without being changed.
* [#MODX-806] fix duplicated option groups in template picker
* [#MODX-581] Installer doesn't check /assets/media, /assets/flash and /assets/files directories
* [#MODX-687], [#MODX-589] Fix the TV name fields so that new DatePicker works correctly
* [#MODX-832] Implement new DatePicker in the MODx Manager.
* [#MODX-655] Correct a sanity check that was preventing the allow_manager_access setting being saved.
* [#MODX-806] Add option groups to template chooser in Manager
* [#MODX-571] Fix TV date picker when special characters in TV name
* [#MODX-588] Missing else in document parser that orphaned a small piece of code
* [#MODX-608] Missing "$this->" in SystemEvent::stopPropagation()
* [#MODX-592] Site Cache improvement for only storing doctypes that are different from text/html in cache files
* [#MODX-681] Manager include path fix for occasional errors and working better with third-party libraries
* [#MODX-449] Incorrect language setting for RTE used in front end instances at install
* [#MODX-812] Added Hebrew Manager translation
* [#MODX-209] Amended original patch: remove urlencode() call for viewable files (i.e. images) when generating the preview buttons in the file manager.
* [#MODX-85]  Removed transliteration code from core and turn into a plugin
    - Supports multiple languages
    - Template Variable can override transliteration table (file) per-document/section (supports @INHERIT)
 	- Move stripAlias function into parser
    - Add OnStripAlias parser/system event
* [#MODX-445] Fix case where deleted docs with the same alias as another document caused a 404 response. Remove deleted docs from site cache.
* [#MODX-593] Add missing summary/introtext to Weblink manager page
* [#MODX-220] Manager language updates for sorting and formatting consistency across languages
* [#MODX-393] Show Protected Pages issue solved by Thomas Leiritz
* [#MODX-516] and [#MODX-397] 
    - fix to display of Access Permissions depending on Role permissions
    - fix to preserve parent after new document save permissions error
* [#MODX-397] Fix logic: creating documents inside restricted containers
    - disallow users from creating restricted docs they can't access
    - disallow  "Create Document Here" and "Create Weblink Here" under restricted parents
* [#MODX-572] new Elements must be given unique names
    - applies only to elements created with "New..." buttons
    - templates, tvs, plugins, snippets, chunks, modules
	- Removed isNumber function, not needed since PHP < 4
* [#MODX-620] Add boolean support to Datagrid class
* [#MODX-446] Committing Soushi's cache sync patch (re: optimizations to cache syncing when the site has a large number of documents)
* [#MODX-686] Major updates to Dutch language file
* [#MODX-582] Update and alphabetize default upload-able file types for new installs. (Also removes php files from list)
* [#MODX-457] Updates to Swedish language file
* [#MODX-363] Missing URL types for cleaning in save content processor
* [#MODX-701] Polish updates
* [#MODX-713] Brazillian Portuguese updates
* [#MODX-580] Update Italian language files
* [#MODX-515] Fix non-clickable view unpublished role label
* [#MODX-724] Reference wiki page for fix for multi-server/cloud deployments and unexpected logoffs
* [#MODX-734] Typo in language file it's->its
* [#MODX-410] access permissions will be inherited from parent when user creates new child but and does not have role permission for access permissions
* [#MODX-724] Create .htaccess template to set the session paths out of shared /tmp/ directories which can lead to loosing sessions from aggressive garbage collection.
* [#MODx-394] Update Russian installation file per http://modxcms.com/forums/index.php/topic,34998.msg212346/topicseen.html#msg212346
* [#MODX-715] Fix .jp lang file for incorrect hard-coded link
* [#MODX-541] Fix the include statement in getUserData() method
* [#MODX-650] bad reference to csshover.htc (now csshover2.htc)

--------------------------------------------
Additional Improvements & Updates:
--------------------------------------------
* Fix get_func_args() error (evident on PHP 5.3) in Ditto/Reflect
* Many updates to Manager and Installer language translations
	- Updating language to be in line with Revo. (Resources -> Elements, resource browser -> File Browser, Documents -> Resources)
	- Simplify language and remove overly-wordy phrases
	- New language strings where appropriate and needed
	- Replaced hard coded language strings in Import and Export action pages with new language strings
	- Better handling of Manager language encoding and text direction
    - Now handles RSS, Word, Excel, XML, HTML, CSS, JS, PDF and plain documents with custom icons in the Site Tree
    - Able to reload and choose language for key site settings like Signup emails, password reset emails, etc.
* Remove legacy code no longer needed
    - Removed QuickEdit module (instructions only)
	- Removed News Publisher snippet (did not support TVs)
	- Prototype and Scriptaculous JS and SLLists.class.php from core distribution, no longer used 
	- Update demo content to remove Prototype/Scriptaculous dependencies
* Convert manager to use Mootools exclusively
	- Manager Login page
	- Convert the 'Sort TV by template' and 'Plugin Execution Ordering', also fix the button CSS styling on those pages
 	- DocManager module (also to assist with future updates) - MODULE MUST BE UPDATED when upgrading from previous MODx versions
* Upgrade Add-on: eForm 1.4.4.6
* Upgrade Add-on: AjaxSearch 1.8.3
* Updated Add-on: TinyMCE 3.2.4.1
* Fix the Template Variable "Lock variable for editing" checkbox
* Removed erroneous parameter in isFrontend() method call
* Exclude /assets and /manager by default from MODx rewrite and to comment out example.com -> www.example.com rule by default
* Fix bug when login page language file was missing translation strings. Now falls back to main English file.
* Added additional database diagnostic info to system info page (auto-generated paths)
* Updated the MODx installer
    - New skin
    - Streamline process by removing two steps
    - Make Connection/Collation/Default Admin User only show when prior steps are completed first
    - Now set the default Manager language during new installs instead of relying on installation language
* New MODx Carbon default theme for MODx Evolution 1.0 release
	- Removed deprecated themes for Evo 1.0 release
	- Added a CSS class (setting of $modx->config['manager_direction']) to Manager pages <body> to automatically address RTL Manager language users
	- Remove Bottom Button Bar plugin due to new static button bar similar to Revo
* Make upgrades between versions simpler
 	- Moving Manager login/welcome/blocked templates into /assets/templates/manager
	- Moving Manager Help pages into /assets/templates/help
* Manager RSS feed improvements
	- Updated RSS feeds to more manageable number of entries for welcome page. 
 	- Updated snoopy class to latest version 1.2.4 (used by magpierss).



MODx 0.9.6.3 (rev 4565 - December 17, 2008)
===================================
* [#MODX-547] Japanese manager lang file update.
* [#MODX-460] Unnecessary PHP warnings in installer no longer displayed.
* [#MODX-546] Japanese Install lang file update.
* [#MODX-461] Missing connection_screen_database_connection_note in presentation of connection options during install.
* [#MODX-555] Fix to properly invoke OnWebPageComplete system event.
* [#MODX-427] Numeric aliases confused with ID when Friendly alias is enabled.
* Fixed SQL injection vulnerability in manager search. [JVN#72630020] 
* [#MODX-489] Manager encoding issue with direct mysql_ calls due to mysql_select_db including the MySQL escape character.
* Added a sample robots.txt file to site root 
* [#MODX-536] MySQL STRICT mode error with plugin event checkboxes not getting saved and existing ones deleted.
* Update the manager ht.access template to turning off mod_security if installed
* Fix XSS vulnerabilities in weblogin (error in preserveUrls() function and not escaping username input using htmlspecialchars() properly). [JVN#10170564]
* Modified strict sql_mode check to be a warning rather than an error that prevents installation.
* [#MODX-468] and [#MODX-469] Japanese language file updates.
* Updated Image TV Preview plugin to support @INHERIT binding.
* Change Ajax Search reference snippet to .txt extension for security reasons.
* Remove snippet.ditto.php and snippet.reflect.php to address http://secunia.com/Advisories/32824/.

MODx 0.9.6.3-RC2 (rev 4378 - October 30, 2008)
===================================
* [#MODX-185] Improvements to installation with errors when SET CHARACTER SET is used and collation does not match database.
* [#MODX-346] Fixed additional errors on advanced upgrades.
* Add to ht.access template to prevent Apache internal dummy connections breaking hostname [(site_url)]
* [#MODX-455] Have messageQuit() set a 500 error response to avoid indexing pages with PHP parse errors.
* [#MODX-346] Fixed error with $database_connection_charset being empty after "Advanced Upgrade Install".
* [#MODX-453] Weblogin calls to mail should set envelope sender address when safe_mode is not enabled.
* [#TINYMCE-1] Japanese language file provided by MEGU
* [#MODX-450] bug fix to prevent invalid SQL syntax / error
* [#MODX-430] Update Japanese language files
* Update Bulgarian language files (Manager, Install and TinyMCE)
* [#MODX-438] Ensure that access permissions are inherited from parent when changing template on new document
* [#MODX-405] Fix problem in media browser generated XML when PHP short tags is being used
* [#MODX-429] Change yourdomain.com to example.com in default settings
* Added $_lang strings for RSS tabs in welcome page.
* Added RTL-Manager-theme.
* Added Persian language manager file.
* [#MODX-431] Fix icon alignment for the tree menu in default MODxLight theme

MODx 0.9.6.3-RC1 (rev 4291 - October 12, 2008)
===================================
* [#MODX-415] Update German manager file
* [FS#1011] Minor CSS change to color of Unread Message links
* [#MODX-365] Fix some hardcoded language strings in the Access Permissions pages
* [#MODX-389] Convert TV Input Options field to be a textarea
* [#MODX-394] Updating incorrect language string in installer
* Updated AjaxSearch to version 1.8.1
* Fix to user permissions class (thanks Dimmy!)
* [#MODX-351] Update eForm to version 1.4.4.5
* [#MODX-352] Update Jot to version 1.1.4
* [#MODX-304] Update Japanese language file for Quickedit
* [FS#1052] Fix CC bug in PHPMailer class
* [FS#806] Allow '.','-', and '_' in TV names - manually encode these as rawurlencode() doesn't convert them (related to [#MODX-154])
* [FS#833] Fix inconsistent Stay buttons (use labels like on other pages)
* [FS#1037] Prevent currently logged-in user password update logging out without displaying the new password 
* [FS#944] Enable RTE for TVs when creating/editing a weblink
* Fix urldecode() bug with 'refurl' querystring parameter in WebLogin
* [FS#548] Preserve querystring parameters when logging in/logging out with WebLogin
* [FS#1074] Apply DataGrid patch
* Add default sort order for new template variables, prevents '$rs not set' error
* [FS#900] Fix incorrect system setting for default template on install (without demo content)
* [FS#392] Add optional separator parameter to $modx->getTemplateVarOutput() for checkbox/multiselect lists
* [FS#895] Fix Captcha implementation in WebSignup snippet
* [FS#912] Add charset encoding to page title htmlentities() call in the Manager search
* [FS#1073] Duplicate TV associations when duplicating a template
* [FS#283] Allow Weblogin to work with password-less registration forms by generating random password if no password POST value is passed
* [FS#687] Fix the [+surl+] placeholder in the Weblogin snippet
* [FS#999] Prevent log error when connecting to a second database
* [#MODX-154] rawurlencode() TV names so TVs with spaces in the name can be saved when editing/creating a document
* [FS#1032] Convert TV saving in save_content.processor.inc.php to use three-stage DELETE/INSERT/UPDATE method
* [FS#978] manage keywords length not limited to varchar(40) DB value
* [CR-MODX-39] Button Back in Upgrade Existing Install goes to wrong screen.
* [#MODX-188] Default installation language set to english, patch from CR-MODX-28.
* [FS#907] Small fix to QuickEdit to correctly include JS/CSS files if friendly alias paths are being used and no <base> tag is specified in the template
* [#MODX-139] Updated cache_sync.class.processor.php to use $modx->db methods instead of mysql functions. 
* [FS#1003] Amend the top username link to explicitly state a 'change password' link instead of just linking the username
* [#MODX-362] Added database version to MySQL DBAPI class and to the System Information report
* Switched double quotes to single quotes and added minor speed improvements to files.dynamic.php
* [#MODX-209] File manager can now handle files with illegal url characters (added urlencode escaping).
* [#MODX-219] Fix broken image paths
* [#MODX-179] Duplicating resources now duplicates the category setting as well
* [#MODX-290] Minimum PHP requirement updated in language files to 4.2.0
* [#MODX-168] Fix issue where phantom keywords metatag could be added to document due to haskeywords setting being out of sync
* [FS#1078] Fix duplicate content processor for MySQL versions < 4.0.14
* [#MODX-303] Update DocManager Japanese language file
* [#MODX-158] Remove broken stylesheet references from DocManager module
* [#MODX-244] Fix the display of user and web user photos in the manager
* [#MODX-140] Make Security Notices and News items open in new tab/window
* [#MODX-341] Ensure duplicate aliases have the number suffix properly incremented
* [FS#1065] Fix problem with losing selected metatags when editing documents
* Changing TVs no longer looses the sort order on templates to which they're assigned (revisited)
* [FS#1056] Fix error with updateMail JS function being called in header.inc.php
* [#MODX-126] configure the URL of the Security Notice and modx News feeds in manager Site Settings - patch by Jesse Rochman and Magpie fix for Japanese language by MEGU
* [#MODX-185] Problems with original SET NAMES vs SET CHARACTER SET patches resolved.
* [#MODX-289] Fix was not merged into trunk for 0.9.6.2 release.
* Fix MySQL Strict mode problem in save_content.processor.php
* [FS#1038] Fix consistency of 'z=manprev' for document preview in manager code
* [FS#1066] Fix problem with Newspublisher snippet and the calendar showing a 404 error when using the FormBlog chunk template
* [FS#1062] Fix Weblogin snippet to correctly block users for period of time specified in system settings if they reach the maximum failed attempts
* [FS#1079] Apply URL TV patch to Doc Manager module
* [#MODX-218] Fix broken image paths in Newspublisher snippet
* [#MODX-266] Stop .svn folder appearing on help screen if MODx install was checked out from SVN
* [FS#1076] [FS#853] Fix calendar JS error occurring if calendar TV name contains an hyphen
* Updated TinyMCE to version 3.2.0.1
* [FS#1036] Moved Rewrite Browser Paths (strip_image_paths) in configuration so that it's editable even when Enable Resource Browser is set to 'no'.
* [FS#665] Fixed ViewPort Javascript code errors (thanks to Antonio)
* [FS#1027] Added 'Path to CSS file' to user configuration so that it can be overridden on a per user basis
* [FS#821] Fixed Javascript Error using QuickEdit and IE7 (thanks to Marc [MadeMyDay])
* [FS#939] Fixed recordset handling for ticker widget and replaced ticker javascript with Moostick.

MODx 0.9.6.2 (rev 4077 - September 15, 2008)
====================================
* [#MODX-178] Captcha fails when there is a non-TTF file in the /ttf folder.
* Implement Captcha workaround for imagettfbbox() error in Windows requiring absolute path in fontfile parameter.
* [#MODX-289] Fixed MODx Parse Error in module dependencies tab. (4069)
* [#MODX-185] SET NAMES vs SET CHARACTER SET issue resolved; preferred method can be specified at installation.
* Added <small>(ID)</small> markup to resource list so resources saved without a name can be easily accessed.
* [#MODX-246] Cannot create database with reserved MySQL characters (not properly escaped).
* [#MODX-163] - Fix issue with context menu closing in FF3 on right click.
* Fix to alphabetical sorting in MCPUCK browser (3938)
* Fix parser error in Doc Manager when setting document permissions if using the tree to sort documents (3913)
* [#MODX-176] XSS vulnerability in mcpuk resource browser; fixed problem in GET parameter "editorpath" (3896)
* Modified MAGPIE_CACHE_DIR to store RSS cache in assets/cache/rss (3893)
* [#MODX-206] Vulnerability with CSRF (Cross Site Request Forgery); added configurable http referer validation option (3871)
* [#MODX-164] The keywords cannot be saved on manager.  See also, FS#1055 in old bug tracker. (3389)
* [#MODX-159] installer style fix (3836)
* [#MODX-183] fixes database creation problem - fix provided by sottwell (3825)
* Updated TinyMCE to v3.1.0.1a (3824)
* Updated Russian language files (thanks to Safronovich Victor)
* Additional fix for [#MODX-101] so that any existing document group/document relationships are actually removed from the database if the 'public access' permission is selected. (3783)
* [#MODX-155] fix 'Allowed Days' checkboxes for Manager users (3782)
* [#MODX-153] - avoid table prefix when installMode = 3 (3780)
* action.language.php:mix of </div></form>, action.license.php: useless </span> tag, action.summary.php: useless </p> tag (3777)
* [#MODX-152] Fixed. Advanced Upgrade Install doesn't work (3776)
* Update to 0.9.6.2 the $module_version variable for a correct version label in the installer (3775)
* [#MODX-151] php4 fix - remove use of array_combine() when saving TVs (3773,3774)
* [#MODX-138] inherit language which selected by installer to manager (3766-3768)
* Collation list highlighting issue with non-english languages fixed and tested (3765)
* Added/Updated Persian, Bulgarian, French, and Swedish manager localizations.
  Added/Updated Persian, Norwegian, Bulgarian, German, and Swedish installer localizations (3753-3761)
* Updated Jot snippet to version 1.1.3
* Updated Breadcrumbs snippet to 1.0.1
* [#MODX-141] Install mod to verify MySQL version + strict mode (3730)
* [#MODX-147] Fixed plus english and francais-utf8 language file updates (3729)
* Update AjaxSearch to 1.7.1 (3726,3728)
* [FS#1064] Fix event name for OnDocUnpublished (3718)
* Added XML doctype and header to MCPUK for file uploads (3715)
* Added plugin to show image previews in the manager for Image TVs as a tribute to Brett joining the team (3709)
* [FS#863] — IE7 gives JS error on navigating away from/logging out of Manager (3705)
* [#MODX-124] Added a manager role for emptying the trash/permanently purging docs (rev 3682)
* Fix PHP-syntax-incuded parser error (3648)
* Added a unique CSS ID to the form on multate_content_dyanamic.php to help with custom plugins (3646)
* Changing TVs no longer looses the sort order on templates to which they're assigned (see http://modxcms.com/forums/index.php/topic,16090.msg146881.html#msg146881) (3622)
* Insert CDATA Tags into Weblogin snippet code so it will validate (3622)
* [#MODX-101] Fix ability to make document Public after it has been assigned to one or more Document Groups
* Patches to Ditto 2.1 to fix sorting and change default docs displayed number from 3 to "all" (see http://modxcms.com/forums/index.php/topic,23204.msg146176.html#msg146176) (3511)
* Update TinyMCE to 3.0.3 (3496)
* Many updates to MCPUCK brower (3492)
* [#MODX-50] stripAlias function converts named entities to their numeric equivalents and then further to their actual character. (3457)
* [#MODX-34] Document permissions are saved now when a document is saved.
  [#MODX-35] private_*group columns now fully implemented. (3429)
* [#MODX-51] Format and general code cleanups. (3422,3423)
* Fixed bad markup in language files (see http://modxcms.com/forums/index.php/topic,23353.0)
* Sorting for files/folders in MCPUCK file browser. .htaccess file for MCPUCK browser for mod_security workaround (3409)
* Removed calls to modx.js and MODX_MEDIA_PATH variables (3407)
* [FS#997] Add database collation charset and database charset to System Info. (3403)
* Fix to prevent JS warning in FF with QuickEdit (3402)
* Fix installer to use multi-language based images (3401)
* Added Japanese translation/images to the installer (3400)
* Allow weblinks to have summary(introtext) fields (3390)
* Set the published status of duplicated documents to unpublished (3388)
* Update ajaxSearch to 1.7.0.2 and Search Highlighting plugin to 1.2.0.2 (3386,3387)
* Update Ditto/Reflect to version 2.1 (3377)
* [FS#988] Changed htmlspecialchars() on Search Highlighting plugin to strip_tags() (3359)
* Fix demo content error with web signup (see http://modxcms.com/forums/index.php/topic,22374.msg137890.html)
* Update IE6 (and earlier) helper files for transparent png support and for adding :hover, :active, :focus support to all elements (not just links/inputs)
* [FS#905] sqlParser.class.php now typecasting (float) instead of floatval() [PHP < 4.2] (3338)
* Updated rss.inc.php to handle 404 errors if the feeds cannot be found (3317)
* [FS#947] Module permissions did not handle multiple user groups (3314)
* [FS#977] Updated handling for apostrophes in Full Name (user/web user) and resource categories (3309)
    - Removed redundant mysql_escape_string() from the (web)users and Resources save processors 
    - Added stripslashes() to categories.inc.php getCategories() function
    - Added stripslashes() to resources.static.php 
* [FS#988] Use htmlspecialchars() on Search Highlighting plugin parameters and updated version included in the distribution (3303)
* [FS#998] Update ListIndexer version included in the distribution (3302)
* [FS#996] Update installer to detect register_globals being on during installation (3301)
* Added RSS feeds of Security and Announcements forums messages to manager welcome page with required English language file additions in installer. (3295, 3296, 3298, 3299, 3300)
* Migrated Mootools to 1.11 (3293, 3294)
* Fix for tree menu scrolling (credit smashingred ... thanks!). See http://modxcms.com/forums/index.php/topic,21735.msg134298.html#msg134298 (3292)
* Fix htcmime.php and local file inclusion vulnerabilities for certain server configs, reported at http://www.securityfocus.com/archive/1/485707/30/0/threaded (3279, 3280)
* [FS#991] addEventListener now works directly on the event array (3278)
* [FS#986] Removed hidden input box in manager menu, cleaned up whitespace, organized source file (3278)
* [FS#981] Moved "Page Source" section to a tab in document data viewer, cleaned and organized source file (3278)
* [Trac#52] TVs in QuickEdit now ordered by rank, then by name
* [FS#984] Added labels to "After saving:" radio buttons in Manager when editing Templates, Template Variables, Chunks, Snippets and Plugins
* [FS#844] Small fix to BottomButtonBar plugin related to language strings (3171)
* [FS#940] Only add count suffix to auto-generated alias if duplicate aliases setting isn't enabled (3170)
* [FS#915] Small fix to checkPublishStatus() in document.parser.inc.php (3167)
* [FS#934] Fix use of join() in getDocuments() API function (3163)
* [FS#929] Additional fix for weblogin error in SQL statement for active_users in STRICT sql_mode. (3162)
* [FS#927] Allow plugins to work correctly when the plugin name has single quotes in the name (3160)
* [FS#942] Applying andyccn's patch for Doc Manager - related to saving updated TV values. (3159)
* [FS#945] Use htmlspecialchars() on resource and module names (3158)
* [FS#946] Fix the message counts on the Manager welcome page (3157)
* [FS#972] Fix issue with recurring refresh when settings are being saved in Safari 3 (3156)
* Many Optimizations all over, double quoted many HTML attributes, not XHTML, but it's a start ;)
* Added 'Role' column to manager user table page
* Rewrote display and optimized queries for (web_)access_permissions pages
* Fixed user theme bug (manager theme would always reset)
* Added File Manager Upload Tracking, with hack to prevent double logging.
* Cleaned up saveUserSettings() function and added ability to skip common settings in system_settings table
* Updated @INHERIT TV command to see through un-published pages.
* English Language Key updates:
    - access_permissions_links_tab
    - access_permissions_off
    - access_permissions_users_in_group (added)
    - access_permissions_user_group (removed, no longer used)
    - access_permissions_user_group_access (removed, no longer used)
    - role (added)
    - web_access_permissions_user_group (removed, no longer used)
    - web_access_permissions_user_group_access (removed, no longer used)
* Moved actions list out of switch() statement and into $GLOBALS['action_list']

MODx 0.9.6.1 (rev 3118 - November 8, 2007)
====================================
* [FS#892] — Upgrading: 0.9.5 -> 0.9.6 Snippets upgraded regardless of whether ticked. (3118)
* Updated TinyMCE to version 2.1.2 of the plugin.  Fixes various issues and bugs as well as re-enables the linklist feature by default. (3086)
* Removed extra line feeds/carraige returns after closing PHP tags in a few files. (3078)
* [FS#773] WebLogin doesn't return to previous URL after 401. (3056)
* [FS#929] weblogin error in SQL statement for active_users in STRICT sql_mode. (2987)
* Replaced $this->postProcess() call at end of DocumentParser::sendRedirect() function to exit(). (2944)
* [FS#866] Cleaned up code, made all mysql_* functions use the object's (or a reference to the) connection. (2912)
* [FS#875] Removed the $variablesmodified logic, changed TV saving logic to REPLACE INTO queries. (2869)
* [FS#877] Removed exit() from index.php that prevented MODX_API_MODE usage. (2853)
* [FS#922] Duplicate Content Processor now honors a user's ability to publish documents. (2836)
* [FS#921] Changed the way a few TVs are rendered, they no longer escape strings. (2812)
* [FS#920] Manager menu now shows only active modules the user can execute ('disabled' modules are hidden). (2811)
* Added two new API methods to the MODx DocumentParser class: $modx->toPlaceholder(string $key, mixed $value, string $prefix= '') and $modx->toPlaceholders(array|object $subject, string prefix= ''). (2803)
* [FS#896] Document (Un)Publishing during "Clear Cache" now accurately (Un)Publishes documents. (2786)
* [FS#894] Checking table_prefix failed during installation. (2782)
* [FS#14] Changed default sort order to 'menuindex ASC'. (2780,2795)
* Highlight current document in document tree corrected (when editing/viewing via right-click context menu). (2777)
* [FS#874] Alias not saved if char-encoding set other then UTF-8 (bug in save_content.processor.php). (2776,2782,2783)
* [FS#865] Fix to prevent registered scripts from being duplicated when registered by non-cacheable snippets in cacheable documents. (2781)
* UTF-8 fixes for AjaxSearch. (2775) 
* [FS#877] Implemented MODX_API_MODE constant to allow inclusion of index.php for access to $modx API without executing the parser. (2772)
* Added Spanish installer language file. (2771)


MODx 0.9.6 (rev 2767 - May 25, 2007)
====================================
* Added German, updated French and Russian installer language files. (2766)
* Added French and Swedish installer language files. (2762)
* [FS#155] Implemented installer internationalization (english and russian initial languages). (2760)
* [FS#873] Fix recent change to use of glob() in cache_sync.class.processors.php; make sure function is available. (2757)
* [FS#756] Fixes to prevent errors saving user_attributes/webuser_attributes in manager when running MySQL with sql_mode = STRICT_TRANS_TABLES. (2756)
* [FS#869] Fixed some problems with captcha and session cookie paths affecting logins. (2753)
* Add partial Chinese UTF8 (2728)
* New installer to better handle upgrade issues (2727)
* Update default content to use mootools-based effects (2715)
* Updated TinyMCE to 2.1.1 (2714)
* QuickEdit fixes for IE6 and IE7. (2694)
* Fix Document locking bug. (2689)
* [FS#641] incorporate better i18n to ASCII conversion for automatic alias creation (2680)
* [FS#851] non-existant 3.php for sorting the tree menu (2679)
* Add Italian 096 (2637)
* [FS#848] META Tags and keywords now merge correctly in to the document. (2631,2748)
* Update demo content to use better contact form (thanks TobyL) (2627)
* Add Persian 096 (2626)
* Corrected configuration editor for tree_show_protected setting. (2596)
* Removed upgrade note regarding logging out of manager; was causing confusion. (2596)
* [FS#843] @INHERIT would not inherit a value of '0' (2595)
* Adding Japanese UTF-8 096 (2593)
* Initial commit to make tree menu visibility for protected manager pages a config setting (2587)
* [FS#839] Make OnManagerLoginFormPrerender selectable as a plugin event in Manager (2581)
* [FS#841] Spelling Error (2580)
* Adding Finnish 096 (2576)
* [FS#663] Importing sites now respect the default publish setting
* OnBeforeEmptyTrash and OnEmptyTrash events added, $modx->event->params['ids'] will hold an array of document id's to be deleted or have been deleted (2574)
* Adding German, Spanish 096 (2573)
* Added Manager setting to change MODx-generated URLs to XHTML compatible: & -> &amp; (2571)
* Manager login prevented and existing sessions destroyed during upgrades (2563)
* [FS#838] Passing non-numeric ID now uses sendErrorPage() to return a 404 (2562)
* [FS#827] Increase field size of 'state' and 'zip' fields to 25 in the webuser_attributes table (2561)
* [FS#819] Add 'shtml' as a valid file extension when using the Site Import feature (2560)
* [FS#823] Ensure that the veriword session value is retained in the session after a failed login attempt (2559)
* [FS#814] Minor fix to the DBAPI insert function, now uses $this->getInsertId() (2558)
* [FS#130] Added system setting to toggle the ability for users to be able to see all items in the tree, regardless of access permissions (still needs configuration UI in manager). (2546)
* Fix to cachesync processor (removed extra / in path assignment) (2545)
* [FS#825] New approach to automatic path configuration (2545)
* Add check all, uncheck all and toggle to installer for resources (2541)
* [FS#811] Missing Unpublished Page icon in manager (2539)
* [FS#764] "Go!" hardcoded in tree sorting button (2538)
* Update installer to include admin email and update new advanced DB upgrade explanation (2537)
* Fixed undefined setVariableModified bug with TV calls. (2530)
* [FIX] Startup Scripts are no longer saved to the cache (this eliminates the double "MODX_MEDIA_PATH" in outputted HTML) (2528)
* Removed the noneditable plugin from the Content Editor theme in TinyMCE and default plugin settings due to a conflict in Safari. (2522)
* [CHANGED] Cache syncronization methods now use glob(), backwards compatible
  @see http://modxcms.com/forums/index.php/topic,13796.0.html (2520)
* Update Dutch and French for 096 release (2511)
* Update Ditto call in demo content and ditto/reflect verion numbers in resources (2504)
* Update Portuguese and Swedish for 096 release (2501)
* Update to Ditto (2.0.2) and Reflect (2498)
* Update eForm to 1.4.4 (2492)
* Fixed error in file manager (2490)
* Remove "MODx Registered" and update regClientCSS to support media (2462)
* [FS#815] Prevent documents being duplicated at root level by non-Admins if user permissions are active and Allow Root is set to No (2456)
* Added alphabetical sorting of files and folders to the file manager. (2445)
* Template Variable output widget updates (2443)
* [FS#758] Use web_access_permissions instead of access_permissions when checking if a user can set the Access Permissions when editing/creating a document (2440)
* [FS#763] Fix broken image path (2439)
* [FS#792] Default the unauthorized page and error page config settings to site_start if an invalid/blank value is specified in the config settings (2438)
* [FS#797] Delete user settings when manager user is deleted (2437)
* [FS#803] Fix hardcoded table prefix in the Doc Manager tv.ajax.php (2435)
* [FS#813] Minor correction to add space between buttons on the 'View Children' tab (2434)
* Ditto update through rev1374 (2433)
* More Ditto 2 updates through rev1343 (2406)
* Significantly improve the Document Overview information ... thanks heliotrope (2405)
* Update to latest Ditto 2RC2 rev1341 (2380)
* Update copyright to reference 2005-2007 (2380)
* Add preview in new window function to tree menu context item (2379)
* Update Jot to 1.1.2 to resolve bugs with Comment edits and Unpublishing errors in moderation mode (2377)
* Update AjaxSearch to work when QE is also on the page (2376)
* Update Blog demo content to include tags and monthly archive. Update Ditto/Reflect to RC2 (2373)
* Update to Ditto 2, add Reflect, and update default content for new Ditto syntax (2367)
* AjaxSearch: added heliotropes mods to allow basic searches in some TV types (2365)
* AjaxSearch: added back protect.inc.php for increased security, updated default content to fix landing page (2361,2362)
* Added new param to AjaxSearch to enable search highlighting without the extract param being on (2355)
* Update MODxHost template to support new Mootools dropdown menu and AjaxSearch (2354)
* Update Jot to version 1.1.1 (2335)
* Add more examples to .htaccess for more "best practices" URL handling examples, including www.domain.com -> domain.com and SSL handling (2315)
* Update Jot to version 1.1 (2308)
* Update to AjaxSearch version 1.5 for Mootools (2271)
* [FS#770] Update version detection in sleight.js to skip IE 7 and above (2267)
* Updated QuickEdit to use Mootools 1.0 (2265)
* Added full (compressed) distribution of Mootools 1.0 official release to manager (2262)
* Fix to save_tmplvars to avoid errors when MySQL is running in a strict SQL_MODE. (2252)
* Added baseline support for RTL languages in the Manager (2248)
* Added new upgrade option for editing database connection settings; this will allow users to set the character set options properly during upgrades. (2246,2247,2249)
* Fix bug in manager language inclusion that was introduced in commit #2225 (2244)
* [FS#753] Add a validation check for the mail_check_timeperiod value to prevent null value being passed into the ajax periodical update for messages (2239)
* [FS#599] Added distinct permissions for importing/exporting static HTML. (2226)
* Added a check to see if the chosen manager language file exists first before including it. (2225)
* [FS#752] Minor fixes to the getHTMLGrid() method in the dbapi.mysql.class.inc.php (2224)
* [FS#751] Added chunk role permissions and separated out accordingly from the snippet permissions (2223)
* [FS#746] Remove javascript causing problems with the country selection dropdown when creating/editing users and amended PHP code to render 'selected' attribute correctly (2222)
* Enhancement to new mail notification, now uses mootools ajax periodical request to update the mail notification, added system setting to set the time period between mail checks (2219)
* [FS#749] Fixed and reinstated the new mail message notification (and message counts) in the top nav, mail icon now only appears when new mail is in inbox. (2217)
* [FS#750] Fix weblogin snippet so it doesn't throw an INCLUDE_ORDERING_ERROR when logging into frontend. (2216)
* Fixed issues with new protect.inc.php file to prevent it from setting $_SERVER values to the value of the variables key (i.e. $_SERVER['PHP_SELF']= 'PHP_SELF').
* [FS#274] Stop hyperlink widget outputting tag with empty href attribute if no link is specified (2209)
* [FS#591] Added visual styling to Manage Resource page in the manager to show whether a plugin is disabled (2208)
* [FS#723] Hide the sort box for the tree menu when clicking the 'Go' button (2204)
* [FS#737] CSS fixes for tab styling in the MODx manager theme, courtesy of Mitch (2203)
* Added parent permission checks to move_document.processor.php - prevents a possible bypassing of the Allow Root site configuration setting (2202)
* [FS#722] Moved the parent/role permission check to the save_content processor file, allowing for the 'New Document' top menu item to work for users with restricted permissions. (2202)
* [FS#738] Stop context menu on document tree allowing the site start page to be unpublished (2201)
* [FS#744] Fix permission check in web_access_groups.processor.php to use web_access_permissions (2200)
* [FS#743] Escape the manager log entries when being inserted into the manager_log table to prevent SQL errors when using quotes (2199)
* Remove html limitation on manager user name lengths (was 15 now 100 to match DB) (2198)
* [FS#740] Remove blank lines at end of file. [2197]
* [FS#712] Fix to image path in bkmanager.static.php (2196)
* [FS#721] Stop password reminder emails from being sent out twice on some PHP5 configurations. (2195)
* Fix bug where the email address wasn't being shown in the error message if the mail() call fails. (2195)
* Make sure magic_quotes_runtime and magic_quotes_sybase settings are off when installing MODx. (2194)
* Quickedit styles update to restore functionality in Safari and IE7 (2193)
* [FS#682] Demo content validation fix on web signup form (2190)
* Removed call to sendErrorPage() and outputContent() inside of $modx->messageQuit() function that could cause recursive calls to messageQuit under certain error conditions. (2188)
* Changes to error handling that were ignoring php error suppression using @. (2188)
* Add options to installations (and upgrades) to allow explicit setting of database collation sequence. (2188)
* [FS#734] Set MySQL connection encoding to make non-ASCII characters work under PHP5. (2188)
* Added German country langfile (together with a small fix for correct sort order). (2187)
* Added German langfile for quick_edit. (2185)
* Updated German langfile (manager). (2175)
* [FS#649] Minor typos in eform documentation (2173)
* [FS#711] Missing image for Green manager theme (2172)
* Remove outdated call to contact form snippet in demo data (2171)
* [FS#140] MODx doesn't work with reserved tokens in table_prefix. (2170)
* [Security] Fixing issues on systems having register_globals = on. (2169)
* Including main index.php provides the MODx API for Ajax snippets (intended as an alternative for index-ajax.php when full API is required). (2168)
* Adding MANAGER_BASE_URL and MANAGER_BASE_PATH. (2168)
* [Security] Improved input filtering. (2167, 2170)
* [Security] GPC globals are now removed if register_globals is on. (2167)
* [Security] Minor fixes in bundled snippets. (2167)
* Modified stripTags() to strip placeholders. (2166)
* [FS#732] Fix error with @EVAL and other @bindings that expect multi-line content. (2164)
* Modified mutate_contant.dynamic.php to allow template selection, metakeywords, and template variables to be assigned to web links. (2164)
* Fixed syntax error in assets/snippets/ditto/lang/nederlands.inc.php (2164)
* [Security] Changed installer to set correct file permissions on systems running php suid (2163)
* [Security] Protecting config file variables from beeing overwritten by GPC (2163)
* [FS#429] Set base_url by SCRIPT_NAME (2163)
* Update Jot to 1.0.1 (2161)
* Update eForm to 1.4.2 (2160)
* Update UltimateParent snippet to 2.0 beta (2158)
* European Portuguese language added (2157)
* Dutch/Nederlands language added (2155)
* Swedish updated, Swedish-utf8 language added (2153)
* Japanese language added (2152)
* Russian language added (2149)
* Polish language added (2146)
* Persian/Farsi language added (2142)



MODx 0.9.5 (rev 2109 - Dec 06, 2006)
====================================
* [FS#419] Fix error when saving roles on some configurations due to MySQL STRICT sql_mode restrictions (2096)
* [FS#699] Correct typo in the 'revisit-after' metatag (2097)
* Prevent 'To top level' and 'Up one level' being shown as links in file manager when returning to the root level after drilling down in the structure (2096)
* [FS#690] Fix the rendering of the file path in the file manager when a custom file manager path is set for a manager user. (2096)
* QuickEdit CSS adjustments for IE 6 to prevent large grey box from always showing underneath toolbar. (2106)
* Adding French translations for 095 Distribution. (2103)
* Adding translation kit Swedish language to Distribution. (2102)
* Fixed typo with mooFloater call and modified class for better compatibility with Safari. (2099)
* Remove space after slash mark in alternate word pairs. E.g., Create/ edit -> Create/edit (2081)
* Fix several hard coded language strings in manager pages (2080)
* Update minimal template to remove RSS feed (2079)
* Update MODx Light theme to fix top-menu Opera issues (2078)
* Modified install to use INSERT IGNORE for system settings on new installs and upgrades, rather than REPLACE INTO only on new installs, so it will add missing settings without overwriting any. (2076)
* [FS#694] Add tree menu functionality to allow containers to show whether private web or manager permissions have been applied, updated themes style.php with new $_style additions. (2075,2094)
* [FS#695] Order template dropdown by template name. (2074)
* [FS#697] Fix incorrect lang reference (also globalised $_lang in one of the functions so it correctly displays the error messages). (2073)
* [FS#701] Fix path issue for phpSniff.class.php when base dir restrictions are in effect. (2072)
* Update language file to add note about non-existant Error/Unauthorized pages for site config check. (2071)
* Moved code for mooFloater and mooPrompt into the mootools MODx script file (moodx.js) for better caching and integration. (2069)
* [FS#704] Add unathorized/error page config checks to make sure they're not private and that the documents actually exist (2068)
* Fixed session cookie behavior in front-end and back-end, including session_keepalive code. (2066)
* Changed line endings in readme file to CR+LF for Windows users. (2061)
* Minor typo fix to english language file. (2060)
* Fix incorrect lang string in user_management.static.php (2046)
* [FS#361] Only use fifth parameter in mail() if safe mode is off when sending password reminder emails (2045)
* Fix problematic img tag in BottomButtonBar plugin (2044)
* [FS#680] Fix RTE positioning when editing chunks (2043)
* DocManager: Fix config path issue in tv.ajax.php (2042)
* Add configuration checks for checking the publish state of the Unauthorized and Error pages (2041)
* Fix calendar image paths and label positioning in 'FormBlog' chunk (2038)
* [FS#659] Minor corrections in the country lang file, (ISO 3166-3 used as a reference) (2037)
* Fix 'new message' image path in messages.static.php (2036)
* Fix path to x.gif in pngbehavior.htc (2035)
* Normalise line endings in the resource browser config.php (2034)
* Fix invokeEvent() in document parser so it fetches the plugin code from the db if not in the cache (2033)
* Update README file to reference wiki for upgrade instructions (2030)
* Change plugin configuration input text box into a textarea (2030)
* Added new mooPrompt class to the mootools library. (2023)
* Implemented mooPrompt for System Alert messages. (2023)
* Remove unneeded dynelement calls from the Resource Selector popup. (2020)
* Modified the openSelector function on the Module Dependencies page to not use any dynelement functions. (2020)
* Fixed a variable issue with the showParameters function. (2011) 
* Changed header and menu to load mootools instead of Prototype and Scriptaculous. (2011)
* Added moodx.js script to extend mootools with Prototype-like functions. (2011)
* Configured context menu scripts to work with mootools. (2011)
* Modified tree menu for mootools compatibility. (2011)
* Modified system alert functionality by implementing it as a simple hideable layer and updating the styling.  Will implement as a modal window with mootools later on. (2011)
* [FS#677] Fix for widget parameters not showing when editing/creating a TV. (2007)
* [FS#674] Correct references to [[UserComments]] snippet in default content to new [[Comments]] snippet powered by Jot. (2003)
* Increased db column lengths for metatags (2002)
* Modified a few more places that relied on global variables to use the new constants introduced in revision 1922. (2001)
* Allow QuickEdit to set the proper manager user ID using the new getLoginUserID parameter. (2001)
* [FS#299] Added context parameter to getLoginUserID API method that will return a specific type of user id if 'web' or 'mgr' is provided (alternate solution to that applied in rev 1860). (2001)
* Added latest SVN version 84 of mootools (2000)
* Updated showParameters and related javascript functions for greater compatibility with Prototype. (2000)
* Removed unneeded prototypify.js script. (2000)
* [FS#666] Add return false to onclick for Quick Edit buttons (1949) 
* Minor update to eForm to address date handling differences between PHP 5.1+ and earlier versions
* [FS#654] Add regiseter_globals check to manager (1944)
* [FS#660] Fix minor HTML error with Ajax search (1943)
* Fix styling on manager pages for IE6 in MODx Light Theme (1942)
* Fix Stop Working errors on Modules (1942)
* Fix cancel button on bottom button bar plugin (1941)
* Update Wayfinder to 1.0.1 + add examples to main distrubiton (1940)
* Fix top menu display issue on IE6. (1936)
* [FS#642] and [FS#652] Make correct container icons show when doc tree is initially shown/refreshed. (1929)
* Update Jot's included PHx parser class to 1.5 (1933)
* [FS#634] Order permission groups alphabetically when editing/creating a web user. (1928)
* [FS#655] Wrong lang string showing for locked items in the 'Manage Resource' section - amended so locked items use the generic 'locked' lang string. (1927)
* [FS#512] Recommit doc parser changes re mySQL 4.1.21 and document sorting. (1926)
* DocManager: Remove references to modx.js and cb2.js. (1910, 1911)
* Added constants to represent global path variables and make use in places where potential remote file inclusion points exist. (1922)
* Fixed potential remote file inclusion point in install/instprocessor.php. (1922)
* [FS#648] Increased character length of zip and state to 25 max to better accomodate non-US locations (1920)
* [FS#651] Increased character length of menu title and alias field to 255 max (1919)
* Modified context menu to use prototype vs. WebFX (1918)
* Increased character length of page title field to 255 max (1917)
* Move action button trigger to onclick for better IE7 compatibility (1916)
* [FS#650] fixed corrupting widget properties frombad javascript loop (1914)
* Replaced sortable table items in manager to remove WebFX dependency (1913)
* Added note regarding regiseter_globals setting to README (1911)
* Fix for imporant potential security issue for servers with register_globals set to ON -- makes File Browser only usable with manager sessions (1907)
* [FS#646] Fix issue with non-auto-refreshing tree and other warnings resulting from removing webelm.js by adding prototype to header.inc.php (1905)
* Enable spellcheck for Firefox 2 on content editing pages and add opera to READM file as a "good manager client" (1904)
* [FS#638] Allow textareas that might contain code to be styled differently than others (1903)
* Added back fourth parameter to sendRedirect() function; this responseCode parameter can be used to pass in a valid HTTP redirect code to be set with a header() call (i.e. 'HTTP/1.1 301 Permanently moved'). (1902)
* Remove a reference to legacy coolbuttons and fix header buttons on system event log (1901)
* Removed modx.js (webelm.js) and cb2.js scripts from header due to conflicts with other scripts. (1893)
* Stripped all CoolButton code and modified all buttons as CSS buttons. (1893)
* Added modified actionButtons class to CSS in each theme. (1893)
* Modified setParent function so that it does not use DynElement scripts. (1893)
* Fix eForm parsing error with spaces and multiple sessionVars and broken Thank You page (1890)
* Update Wayfinder to record references better: e.g., 6 to [~6~] (1885)
* Fix incorrect 1px top border on MODx Host menu (1797/1887)
* Update to Jot 1.0 release (1884)
* [FS#632] remove reference to "folder" in main english.inc.php (1870)
* Language file update to QuickEdit. (1865)
* [FS#611] Minor change to header location to prevent double-login that is affecting some server configs (doesn't have any adverse effect for configs not experiencing this problem). (1862)
* [FS#299] getUserLoginID() now returns manager user ID if a manager user is logged in the frontend. (1860)
* getLoginUserID() will allow the manager user language setting to override the main language setting if required. (1860)
* Fix reference to a non-existant event in getSettings(): 'OnBeforeManagerInit' - changed to 'OnBeforeManagerPageInit'. (1860)
* Modify OnBeforeManagerPageInit event to only run if manager user is logged into the backend. (1860)
* [FS#621] Minor corrections to MODx light theme (1868)
* Major cleanup of style.php files, tree.php and nodes.php (1866)
* Added new HTML Entities output widget for TVs (1858)
* Update eForm to 1.4.1
* Clarify File Manager vs. Resource Browser manager config options (1853)
* [FS#626] Fix the mysterious missing login button in IE6. (also fixes image paths in CSS). (1851)
* [FS#583] Separate out the list of countries into a lang file (defaults to English if no other language file is available). (1849)
* [FS#617] Truncate active_users table to clear locks on manager functions during upgrades. (1822)
* [FS#620] Adjusted styles to add scrollbars to message area if complete message can not be displayed. (1840)
* [FS#620] Made the system alert box variable width so it will always fit within the boundaries of the frame. (1840)
* [FS#620] Moved embedded CSS styles into a sysalert_style.php file in the theme directories. (1840)
* Revised permissions in menu.php and add some extra permissions to hide 'New Document/Weblink' options when user is not assigned new document permissions. (1838)
* Update Mootools to have Ajax.js. (1833)
* [FS#525] Add support for folder/file permission settings in the Resource Browser. (1832)
* [FS#585] and [FS#586] Added file/folder permission settings into the main system configuration. (1831)
* [FS#585] and [FS#586] Add attempt to CHMOD permissions when uploading files and creating new folders in the File Manager. (1831)
* [FS#619] Fix path to session_keepalive.php in session.js. (1829)
* [FS#618] Fix additional hard coded manager language strings (1846)
* Added a README file for install and additional help resources (1844)
* Updated TinyMCE to 2.0.8 with additional config parameters (1843)
* [FS#578] Fix errors to install and manager when running MySQL in one of the STRICT sql_mode settings. (1830,1835)
* [FS#615] QuickEdit should no longer break on non-enlish languages with longer text strings (1825)
* [FS#614] Remove DisableCache from the install and add the disable cache functionality into the TemplateSwitcher plugin. (1818)
* [FS#598] Prevent files beginning with a dot (eg. '.svn') from being listed in the manager theme dropdown box. (1809)
* [FS#596] Fix missing quote in regClientCSS() function. (1808)
* Fix the checkDirt() js function for FF. No luck for Safari or Opera through lack of support in these browsers for the 'onbeforeunload' event. (1784)
* Minor cosmetic change to wait.static.php to make sectionHeader display position consistent with other files. (1784)
* [FS#588] Deprecated snippets removed from minimal template (no demo content).
* [FS#562] Removed ability to directly create folders from context menu in document tree. Makes interface consistent with the top menu options, and the options available as icons above the tree. Also prohibits this bug from occurring.
* [FS#595] Manager and Web User Settings column type for settings_value was too short - changed to text (1815)
* [FS#593] Green manager template CSS fix to restore context menu (1814) 
* [FS#603] Fixed non-escaped double-quote in manager language file (1813)
* [FS#609] Removed hard coded language strings from manager (1812)
* [FS#610] Manager username length increased from 15 to 100 characters (1811)
* [FS#612] Missing word in english language define (1810)
* Fix captcha failure on manager login (bad image path) (1806)
* [FS#597] Fix Preview area size (1805)
* Update Configuration Page titles and order (1805)
* Fix Configuration Tab on Welcome Page not disappearing (1805)
* Update installer layout (1803)
* Update Wayfinder to 1.0 (1785)
* Fix numerous XHTML warnings for site configuration page and language tweaks (1783)
* Updated File Browser resources to relative paths by default (1780)
* Updated Demo Content Categories (1776)
* Removed PoweredBy from installer. (1775)
* Added new configuration option to enable/disable the TinyMCE GZip Compressor script. (1772)
* Fix top navigation menu in Opera. Tested in Opera/mac, Opera/win, FF/mac, FF/win, Netscape/win, Safari and IE6. (1764,1765,1766,1767)
* Fixed typo that prevented OnLogHit event from being triggered. (1763)
* Fixed regexp in mergeSettingsContent that was hungry for some javascript expressions. (1762)
* [FS#543] Fix for second part of this bug report. Prevents JS error being generated for missing setActiveStyleSheet() function when using MODxHost template.
* [FS#581] and [FS#567] Make the resource browser respect the 'Rewrite Image Paths' setting. (will also handle other filetypes inserted by the resource browser). (1760)
* [FS#581] and [FS#567] Remove the image rewrite code from save_content.processor.php - does not work atm and doesn't take into account TV values. (1760)
* [FS#579] Stop current date being used if no value is set for a TV when using date formatter widget. (1759)
* [FS#579] Added new parameter to date formatter widget to allow current date to be used if desired (default = no). (1759)
* [FS#580] runSnippet(), fix to recordCount conditional if retrieving snippet from database. (1757)
* Doc Manager: Fix tree refresh when changing settings such as publish/unpublish etc. (1747)
* Short tags introduced in new ajax tree frame fixed (1752)
* Corrected spelling for language key 'metatag_notice' in english lang file. (1744)
* Removed collate and character set keywords from jot_subscriptions table insert for default content installation. (1744)
* Removed duplicate english language entry manage_metatags_help (exists as metatag_notice) and corrected reference in manage_metatags.dynamic.php. (1743)
* Minor changes to login.html. (1738)
* Fixes a bug where an error 404 was served instead of (site_start) on an empty request. (1739)
* Security: Important! Fixes remote file inclusion vulnerability in index-ajax.php. (1724)
* Fix: Don't warn if config file is owner/group writable. Still warn if world-writable. (1721)
* [FS#571] Added permissions check to stop administrator from getting locked out of the settings page after new install or upgrade if the settings haven't been saved and a user without the right to the settings page is trying to log in at the same time. (1736)
* Remove error.js completely. Only functions correctly in IE, FF and Safari fail to display any js error information in the dialog. (1719)
* Minor tweak to ajax login page and tree nodes. (1713)
* Added ajax support to login page. (1712)
* Added manager_lockout_message to english.inc.php. (1712)
* Added support for allow_manager_access user setting. (1712)
* Added manager.lockout.inc.php and manager.lockout.html. (1712)
* Fixed warnings with undeclared arrays in save_user.processor.php. (1714)
* Added login.html to other themes. (1710)
* Separate manager login logic from content page (see login.html). (1709)
* Fix bug with tree and deleted documents. (1709)
* Fix session timeout bug when expanding nodes. (1709)
* Remove any remaining placeholders from output in new welcome.static.php. (1706)
* [FS#203] Added default publish permission value to system settings. (1702)
* Remove broken image icons from error.js (1703)
* Fix the 'Remove Locks' functionality. (1700)
* New Installer Theme. (1699)
* Added setup.updates.sql that contains the UPDATE queries to run at end of install script. (1697)
* updated eForm to version 1.4
* separate welcome page logic from UI (welcome.html in manager themes) to allow theme designer to easily style of welcome page
* fix js bug with "Access Permissions" checkbox in mutate_content, mutate_module, mutate_tmpvar
* fix: hide working status after module loads
* fix js bug in mutate_content: tpSetting was not defined
* fix: context menu in MODx theme + updates
* [FS#203] Introducing 'publish' permission.
* Bugfix: Set correct default value for language select box (edit user dlg)
* Cosmetics: Removed zero-value from phone and mobile of default admin
* Cosmetics: Ordering phone/mobile/fax input fields (edit user dlg)
* [FS#366] (1644)
* [FS#309] Additional fix applied. (1641)
* Got rid of 'isNumber'-function. (1641)
* [FS#561] Fix for not being able to delete a manager user. (1678)
* [FS#563] Fix broken image paths in the context menu. (1677)
* [FS#552] Sorts out the 'saving of default values' problem in Manager User Settings. (1668)
* Updated default content (still needs a little work). (1683)
* temporary source formatting solution for TinyMCE hardcoded in JS -- to be removed at a future date (1671)
* updated TinyMCE to 2.0.6.1 version (1669,1670)
* Setting n-m ranges in the DocManager now functions as intended. (1656)
* Correction to TV count checks for Assigned TVs in the templates section, will now only display sort option if TV count is greater than 1. (1656)
* DocManager update: Fix menu index parent selection, numerous little bugfixes for js errors. (1649)
* [FS#444] and [FS#549] Ability to sort TVs by template assignment. (1642,1643,1645,1646)
* Fix for the QuickEdit language string problem. (1637)
* [FS#512] MySQL 4.1.21 sorting problems. Implemented GROUP BY fix for all necessary queries. (1628)
* Remove Snippets tab from Content page and Remove dedicated "create folder" manager menu option. (1636)
* Update action pages to reference new frames/menu/tree structure (1626)
* Merge frames and remove webelm.js for much improved Safari and cross-browser consistency (1623,1624)
* Added plugin_priority language define to all revised language files (1612)
* Updated/cleaned launguage files with utf8 encoding when possible (1610)
* Added ability to specify plugin run order.  Incorporates a new screen similar to ajaxmenu index for determining the plugin run order per event.  Added column priority to table site_plugin_events.
* Fix for IE styling issues in file manager
* Amend getUserData() in document parser so the include filename respects case-sensitivity.
* Changed phpSniff include in getUserData.extender.php to use $modx->config['base_path'] and not $modx->getManagerPath() so the full path to the file is used.
* Added Jot 1.0 and updated eFormt to release 1.3 (1602)
* Change Tiny MCE plugin to use relative URLs, set default theme to MODx Light  and set RTE to Tiny MCE for new installs (1596)
* Revise top-level manager menu oreder; move clear cache back to site menu (with preview site menu item) (1588)
* Replace original MODx theme with MODxLightBlue (1586)
* Fix for the file manager to allow for filetype setting changes in the system configuration. (1585)
* Added an optional $fields parameter to the DBAPI delete function. While not necessary in most cases, it allows for more complex multi-table deletes that use joins. (1558)
* Fix JS debug errors when no submenu is present for an item in the MODxHost dropdown menu. (1570)
* Remove double headings where appropriate, also removed some remaining references to _tx_.gif for the headings (will allow all remaining headings to get consistent styling). (1567,1568)
* Lots of minor bugfixes and tweaks to the DocManager module. (1565,1566)
* Stop header.inc.php and footer.inc.php being included when running a module. (1562)
* Remove message count from the topbar header (1557)
* Remove JS functions/calls to non-existant "Sync" in manager (1556)
* Fix warnings with auto-loaded modules (1556)
* Fixed default manager_theme selection when added new manager users. (1552)
* Update AjaxSearch to most recent version. (1550)
* Update to delete categories to check appropriate permissions & display correctly. (1550)
* [FS#124] RegClientStartupScript and RegClientScript not always inserting code properly. (1550)
* Preliminary fixes for new QuickEdit using moo.fx (1549)
* Updated Ajax Search and adding manager resource category deleting (1548)
* FS#124: RegClient(Startup)Script now properly inserts code (1543)
* Only make RTE for chunks load if selected from dropdown (ie. stop it loading by default when RTE is selected in site config).
* Remove the RTE code completely from mutate_templates.dynamic.php - causing problems when RTE is set as default in system config and strips out essential template code when used.
* [FS#499] Blank config.inc.php PRIOR to installation no longer errors (1534)
* Fixed New Template and New Chunk actions in manager (1533)
* Replaced hard-coded Working image with style.php var (1533)
* Update Manager to work better in IE (1530)
* Move Manage Metatags to top level resources menu. (1529)
* Default setting for show_preview changed to off. (1528)
* [FS#538] Minimally permissioned manager users can no longer move documents. (1527)
* Eliminate numerous warnings and simplify frames structure. (1522)
* [FS#406] and [FS#539] Reapplied fix to auto-publishing.
* [FS#104] Remove all references to 'etomite_charset' and replace with 'modx_charset'. Updated getSettings() in document parser and settings.inc.php to add 'etomite_charset' as an alias for backwards compatibility.
* Update to BottomButtonBar plugin for changes made regarding RTE selection (changes $_GET to $_REQUEST for chunks and templates).
* [FS#378] Removes FCK-dependant code and implements RTE selection box as per mutate_content.dynamic.php. Removes $_lang['switch_to_RTE'] as no longer used.
* [FS#486] Ensures that correct action ID is called when a document fails the 'duplicate alias' check. Prevents new documents being treated as existing documents and subsequently failing when no record is found.
* [FS#344] and [FS#537] saveUserSettings function - removed $GLOBALS check which was causing problems when testing on my hosted server.
* [FS#344] and [FS#537] saveUserSettings function - changed to allow blank values to be saved, for example if we don't want the user to have any uploadable filetype permissions.
* [FS#344] and [FS#537] Added in additional resource browser settings to mirror those available in the main system config.
* [FS#344] and [FS#537] Manually extract user settings in mutate_user.dynamic.php so that the current user's language and theme settings aren't overridden.
* [FS#291] Allows manager users to have an individual manager language setting.
* [FS#506] Redirect according to RFC 2616.
* [FS#90] In config settings, if GD isn't installed, you [now] can't choose "Yes" for captcha setting.
* [FS#495] Fixed websignup captcha. Captcha is now a config option. If not set specifically, it defaults to the system wide setting. And regardless of setting, if GD is not available, it will be turned off.
* Move Search from Tree Menu header icon to Site Menu.
* [FS#531] QuickEdit trying to update wrong table with editedby and editedon data.
* [FS#454] Eliminate browser warning when Tree node is null in Tree Menu. 
* Small revision to code on duplicating document changes - brings duplication functions inside 'insert' loop for the pre-mySQL4 versions. I'm now much happier that multiple children will get handled correctly in this situation.
* [FS#503] and [FS#253] Fixes problem with TVs/access permissions being incorrectly assigned to the wrong documents when duplicating a document with children.
* [FS#508] Changing template breaks publish_date.  This is Susan's fix as outlined in the bug report - tested and it works perfectly.
* [FS#475] Safari crashes when trying to change database name in Installer. Changed the name of the database name field (and associated references) from 'databasename' to 'database_name' and, err, it now works correctly.
* [FS#505] Allow arrays to be passed via $_POST with an additional loop for making sure that the array values still get the MODx tag cleansing.
* [FS#521] Changed reference from 'Etomite' to 'MODx' in error message.
* [FS#431] Adds in two new system configuration settings: failed login count - max number of failed logins allowed before user is blocked, applied to both manager and web users; blocked minutes - length of time used to calculate the 'blocked until' date (I used minutes as it gives a good spread of time periods without getting into messy decimal values).
* [FS#273] Resolved issues when HTTPS is available but not ON when determining site_url. (1474)
* Meta tags now inserted immediately after title tag (was head) (1473)
* Removed needless presentational spacer images from Manager pages
* Updated javascript tag/attribute syntax to eliminate warnings in the manager
* Removed snippets from installer no longer included with default distribution
* Removed proprietary IE menu from manager
* Added MIME type fix to ht.access file to make sure .htc files are served properly
* Added a helper PHP file to make sure HTC files are served to IE properly. (1456)
* Updated sleight.js usages instructions and added an alternate .png IE fixing method. (1456)
* Remove all instances of images/misc/dot referenced directly in action pages and move to the CSS file (1452)
* Rework all /manager/frames files to eliminate HTML warnings and speed up manager rendering (1446)
* Added MODxLight manager theme and makes it the default in the install script. (1442)
* [FS#344] Changed the bizarre logic in the saveUserSettings() function that was deleting all the user settings before adding the most recent change (resulting in all the other settings returning to the defaults). (1442)
* [FS#484] This fix hooks in the MODx configuration settings into the Resource Browser allowing the browser to respect the uploadable file types specified in the settings. Config settings have been separated out to account for the 4 possible states that the browser can be opened in (images, media, flash, and files). Added new language strings to english lang file and adjusted existing 'filetype' strings for clarification. (1442)
* Added fourth parameter to sendRedirect() function; this responseCode parameter can be used to pass in a valid HTTP redirect code to be set with a header() call (i.e. 'HTTP/1.1 301 Permanently moved'). (1440)
* Fixed paths in loadExtension so it does not produce the path with //manager (1440)
* Modified QuickEdit plugin to only execute if manager session is valid and to check if the Output class exists before calling include_once on it again.  Should save .02 to .1s per request when manager is not logged in. (1433)
* [FS#387] Fix for Firefox browser with caching features disabled. (1432)
* Updated the SLLists include for Doc Manager with full php tags. (1431)
* [FS#276] Error prevented empty tags being rendered when using HTML Generic Tag widget when no value is specified (same problem with Image widget was fixed by Adam in commit #869). (1431)
* [FS#259] Amended language string that was referencing snippets, and not chunks. (1431)
* [FS#198] This fix uses a session value to allow the full manager to refresh when a theme is changed and prevents the manager being locked in an endless loop. (1431)
* Added ability to delete categories (1430)
* Modified export_site.static.php to handle proper response codes (1429)
* Modified getSettings() to only include or load system/user settings once per request (1429)
* Remove hard coded default Manager style (1418)
* Add 'keywords' option to meta tag manager (1418)
* Updated Wayfinder to latest version for 0.9.5 beta2 build. (1396-1398)
* Fixed a few more broken image paths in manager files.
* Corrected broken image paths when rendering date TV field.
* index.php - fix for 'undefined index' for $_SESSION['mgrValidated'] on some setups when visitor is not logged in.
* [FS#181] Removed stripslashes() call prior to merging TVs into document, tested out on a range of content combos and TVs and haven't found any adverse effects.
* [FS#255] Added $modx->sendForward($docId, $httpResponseCode) method and modified all sendErrorPage and sendUnauthorizedPage functionality to use the new method with the proper response code.  You can use this to forward a request without redirection, to any MODx document with any valid HTTP response code that is appropriate.
* Removed all remaining references to the visitor log tables, except those in the Backup Manager, which will allow users to manipulate the legacy tables if still in their database following upgrade.
* Fixed some incorrect image paths in manager (eventlog_details.dynamic.php and Bottom Button Bar plugin)
* Added Document Manager language files to Manager (1381)
* Updated Prototype/Scriptaculous to 1.6.4 (1379)
* [FS#438] makeUrl() should use '&' for all query string parameters if '?' is present in FURL prefix. (1362)
* Tweak to allow weblogin to work with image button types (fixes IE failure) (1354)
* [FS#300] Missing doctype and opening HTML tag on outer frameset. Also updated JS call (language="JavaScript" --> type="text/javascript") (1348)
* [FS#170] Implement logic to ensure all cache files are deleted with clear cache (1347)
* [FS#458] Alter config.inc.php file to use single-quotes for DB name to allow for special characters ($ in particular) without parsing in php (1342)
* Updated Wayfinder in core installation.
* Fix membercheck snippet so that it works under PHP 4.3 and above. (1324)
* Added an empty config.inc.php.blank file (to rename in your FTP program) for convenience on new installs (1321)
* Added category support to all resource views and changed Categories tab to 'Combined View'
* Updated AjaxSearch snippet to only search docs they have access to.  Updated install to include changes and added Search Highlighting plugin to the install.
* [FS#170] Read the bug report (http://modxcms.com/bugs/task/170) for details, but basically, this kills the need to refresh multiple times to wipe out ALL cache files.
* [FS#458] The config.inc.php file was being written with all database login credentials surrounded with double quote marks. This made it so PHP wanted to interpolate the $ as a variable name rather than a literal character. The fix is simply to use single quote strings for that information.
* [FS#321] as directory structures such as: 2006/08/01 can now be created with friendly paths enabled (should please the bloggers ;) )
* [FS#308] and [FS#476] Problem where pages could be referenced from fictitious directories when friendly alias paths are enabled and a document ID is used in the URL. For example, http://mysite.com/made-up-directory/8 will have returned document 8 even though that directory doesn't exist. The fix ties document IDs to the virtual directory structure when friendly alias paths are used preventing document IDs being referenced outside of their location in the structure.
* [FS#414] Raymond's multi-select TV fix for saving TV values on PHP5. (has worked in majority of cases, but also appears it can be caused by some server configs)
* Another Datagrid widget fix, not bugtracked but discovered and fixed by Samba here:http://modxcms.com/forums/index.php/topic,6031.0.html
* Update MODx Installer with latest Doc Manager module code
* Bulk Document Module: Added bulk updating of Template Variables, language strings moved to main MODx language file (only English so far)
* [FS#324] Fixes the incorrect assignment of the table class and styles for the datagrid widget. 
* [FS#345] removed unnecessary escaping in the string replacements in the decodeParamValue() function.
* [FS#491] Wrong resource browser opening for image and file TVs when editing a document.
* 'Delete/Undelete' option added to misc settings, published/unpublished option now respects 'publishedby,publishedon' fields
* Fix for broken image paths, updated paths to account for theme directories.
* [FS#490] numerous bug fixes for the Doc Manager module - see FS report for more details on the fixes. 
* Fix for category support, items wouldn't save unless category was set. (1319)
* Various manager theme tweaks and corrections from banzai. (1317,1318)
* [FS#328] This fix eliminates non-admin users from being able to create admin users. (1308,1310)
* [FS#440] Fixed problem for non-admin users not being able to change templates on a new document. (1295)
* Small typo for the document manager module corrected. (1248)
* [FS#450] Added global variables so pick_word function works. (1245)
* English language file updates for category addition. (1244)
* Resource selector (a=84) was referencing the wrong document (index.php) (1243)
* Updated all resources to include category selection. (1243)
* Category helper functions created in file categories.inc.php (1243)
* [FS#358] Minor change to duplicate alias warning: If friendly alias paths are on the duplicate check is only performed on the same parent-id, since duplicates work fine if they are placed in different folders.
* Update to messageQuit and some minor cosmetics.
* Update/Bugfix for German langfile. (Some strings were missing.)
* [FS#312] Quick'n'dirty fix for path traversal issue.
* Introducing a basic multiple file upload feature to filebrowser.
* [FS#309] Fix for failing manager permissions (part 1)
* Created a check on permissions for the config.inc.php file. A warning will now appear in the manager if the permissions are loose!
* Added ability to select if you want menuindex to automatically increment by default or not.
* [FS#280] Gives DBAPI object default connection values, but allows for others to override if specified - which is needed in some cases when connecting to a different db on the same server.
* Adds makeArray function to DBAPI so that you don't have to write the same stinkin' routine to array-ize a record set after each select statement result. Very handy. And works.
* Fixed form input fields for link_attributes and menutitle to be able to have double quotes.
* Patches for adding attributes to links
* Use a plain document ID as a weblink, and click on the Document Tree to set the ID you want.
* Hide sensitive debug output from the public
* [FS#425] Fix for potential Http Response Splitting Attack in sendRedirect
* [FS#336] Fixes incorrect pub_date if a time is not specified
* Little fix for outputContent since PHP5.x doesnt want newlines in header-function. 
* [FS 275] Every call to DBAPI->connect() will now create a new link, to avoid errors when connecting to multiple databases with multiple instances of DBAPI.
* New manager themeing system -- now you can completely skin the manager easily (various starting at 762)
* Added bulk Document Tree Manager to the core Modules installed. (909)
* New forgotten password auto login feature for manager users. (904 et al)
* Adding OnManagerLoginFormPrerender and OnManagerLoginFormRender plugin events to the login form and using $_REQUEST instead of $_POST in login.processor.php to support the new forgot password plugin. (902)
* [FS 322] Site export now supports Alias Paths. (thanks to Eastbind) (899)
* [FS 307] In text or textarea TVs, preserve non-English special characters by  displaying the output as HTML Entities via the htmlentities() PHP function. (thanks to Konrad) (893)
* Another modification to dbapi->escape() so that it will fall back to old method if there is no active connection to the DB. (892)
* Improving the logic on getAffectedRows and getInsertID.(891)
* Added explicit call to $this->db->connect() in executeParser() function so when using mysql_real_escape_string() before any call to $this->db->query(), you would not get an error from the mysql_real_escape_sting function because no connection was available (888)
* Removing IE-specific contextual pop-up menu... now they all get the "Mozilla one" (881)
* [FS 195] Fixed a couple of warning notices. (879)
* Added support for mysql_real_escape_string for better multi-lingual support as per this request http://modxcms.com/forums/index.php/topic,3368.0.html, less the magic quotes fix because it might break things. (878)
* Fixed notice from http://modxcms.com/forums/index.php/topic,2577.msg17693.html#msg17693 (877)
* [FS 234] Fixed undefined index issue and made other improvements to ParseCommand. (876)
* Fixed image widget rendering empty images and removed depricated img attributes. (869)
* Removed legacy AddNotice nonsense from the parser (866)
* Fixed Checkbox TV editor id attributes to prevent problems with invalid characters (847)
* [FS 174] Add a set of buttons to the bottom of manager pages via plugin (844)
* [FS 292] meta keywords format update (841)
* [FS 216] increase site name length from 50 to 255 characters (823)
* [FS 238] make menutitle have up to 100 characters, up from 30 (822)
* [FS 318] longtitle maxlength now matches database ... was 120, now 255  (818)
* [FS 310] Restrict files that can be included in manager fix from netnoise. (817)
* Logging updates for PHP5 compatibility (813)
* [FS 319] more short tag fixes (810)
* Raymond's Fix for undefined HTTP_REFERER on Windows servers in index.php for Raymond (791)
* Changed the 404 header logic so it wouldn't be inadvertently triggered by people who use their index page as their error page (778)
* Adding publishedon and publishedby and adding support for editedon and editedby to QuickEdit (777)
* Added duplicate context menu item back for IE (769)
* Added simplified Chinese translation (761).
* Removing old version numbers from installer images.
* Added full URL with scheme, host name and port to the session test redirect. It seemed to cause periodic, inconsisten problems without the full URL in local testing environments (758).
* [FS 214, 297] Fixed opening PHP short tag in mutate_web_user.dynamic.action.php. Also fixed additional opening PHP short tags in other files. (757)
* Better uninstalled message/design from Zi. (755)
* captchaClass.php merged into veriword.php (which was only 5 lines). (753,754)
* Fixed styling for QuickEdit content editing link (752)
* [FS 305] Fixed meta tag generation bug to move underscore to hyphen (751)
* Changed site_snippets.properties to text data type to allow for longer property strings (749)
* Changes [~~] tag parsing/makeUrl so that it won't try to parse non-numeric [~~] tags. Added an option to force makeUrl to output an http or https link. (748)
* Order manager lists alphabeltically: manager/web users and permissions and content (747) 
* Installer update: Don't show the scary info about having to chmod files unless we actually need the user to do that (742)
* Installer update: Reversed logic in checking for the config.inc.php file. Now if we can create it automagically we don't bother the user with it. (741)
* Force main menu refresh after adding/deleting a module (actually on opening modules.static.action.php) (736)
* Add ability to use [~...~] tags in weblinks (references) at line 1064 in the parser (735)
* New plugin: Auto-inherrit parent folder template when creating new documents see http://modxcms.com/forums/index.php/topic,1092.0.html (725)
* List all modules in the menu thanks to Susan Ottwell see http://modxcms.com/forums/index.php/topic,3279.msg23388.html (724)
* Fix redirect to return full URL for header redirects. See http://modxcms.com/forums/index.php/topic,2054.msg14406.html (723)
* International install fixes (720, 721)
* [FS 202] ALTER statement corrections for installation on WAMP (fix submitted by Michel <mvt91@free.fr>) (717)
* [FS 297] Fix errant short oppening <? tag which resolves problem reported in forums: http://modxcms.com/forums/index.php/topic,3214.msg23349.html#msg23349 (715)
* [FS 282] Added link to the actual document from the site schedule page listing (708)
* [FS 241] Remove hard-code modx_ database prefix from NewsPublisher snippet (706)
* [FS 242] Relax email validation on contact form (705)
* [FS 219] Prevent possible JS/HTML injection from built-in stats (704)
* HTML Area reference removed from manager credits and webfx graphic added back (701, 702, 703)
* [FS 153] Date now part of database backup name (700)
* [FS 212] Manager access permissions now sorted by name (699)
* Updated TinyMCE to v2.0.4 (693)
* Added https and mailto and relabled the cryptic "--" option to "" for Template Variables (692)
* Weblogin now unblock webuser account when a password is successfully reset by setting blocked until to 0. (686, 687)
* Weblogin updates from Adam and Raymond to fix missing notifications on failed attempts. (685)
* Updated Italian translation (684)
* Added Norsk and Finnish languages (683)
* Broken links now generate 404 errors and display the proper error document if one is set (676)
* Getting rid of the render time comment at the bottom of every page even if debug mode is turned off. (671)
* New Feature: Ability to switch between different RTE's from a content edit page. (670)
* New Feature: Added the option of 'none' for RTE selection to force a plain textarea for times when a user doesn't want to use an RTE. (670)
* Updated editor to TinyMCE 2.0.2. (668)
* New version adds a new cleanup routine that out performs the previous one in both performance and flexibility. (668)
* Fixed a path issue in the resource browser that caused thumbnails not to appear on some servers. (659)
* Added negator to regClientStarup script. Wasn't working before. (658)
* fixed regClientCSS by removing : between @import and url and changing count(sjscripts) to count($this->sjscripts) (657)
* [FS 222] Fixed bug with active_users not setting the id of the document on which actions are being taken in the manager, which broke the locking mechanism, allowing multiple users to edit a document simultaneously (656)
* Fix minor rendering bugs and initial cleanup of QE toolbar. Should prevent the headline from taking on base styles of the site now. (655)
* Updated editor to FCKEditor v2.2 Final. (654)
* Interim release for MODx v0.9.1.  Will need to be added to trunk for next release. (654)
* Updated editor to TinyMCE 2.0.1 final. (653)
* Changed versioning to reflect the version of the editor. (653)
* Updated REPLACE INTO active_users statement by adding space between table name and the opening ( of the field list; some versions of MySQL do not like this syntax (652)
* Added $modx->documentMap and two API functions, getParentIds($id) and getChildIds($id) to allow getting the geneology of any document with no database queries required. (651) 
* Modified $modx->aliasListing and $modx->documentListing to return the id of a given document as the alias, if an alias is not provided (651) 



MOD 0.9.1 (rev 646 - December 23, 2005)
==================
* Updated default/demo templates to support Friendly Alias Paths.
* Fixed Friendly URLs to work in ALL situations ... finally! [bug 136]
* Removed duplicate copy of plugin.fckeditor.tpl -- master copy in /install/ folder.
* Removed unnecessary snippet sql insertions already performed by the main installation.
* Fixed [+surl+] link to remove double-slash and add ending slash for manager user messages.
* Added [+surl+] to account creation messages.
* Updated default install state.
* Focus on username when loading manager login page.
* Fixed installation script problems and active users insertion in accesscontrol.inc.php [bug 167]
* QuickEdit non-English language fixes.
* Added Dutch language, and made English fallback consistent across languages.
* Improved consistency on document tree sorting.
* Fixed separate resource folders for manager users.
* Fixed defect with where clause of getDocumentChildren and getDocuments methods [bug 168].
* Fixed minor bug with credits page disply in new Menu 4.
* Fix file upload detection method [bug 169].
* Overhauled QuickEdit toolbar with added capabilities.
* New manager default layout to maximize space (Menu 4 layout).
* Added Swedish language files for manager.
* Updated language files.
* Updated Demo site content settings configuration to reflect the custom 404/unauthorized pages.
* Update to scriptaculous 1.5 / prototype 1.4 official release versions.
* Fix regClientCSS to insert CSS immedeately prior to the closing </head> instead of just after the opening one.
* Fixed regClientStartupScript and regClientScript don't work in uncached snippets [bug 124].
* Updated manager menu3 and menu4 [166]
* Fixed obscure bug with PHP ini check on File Manager and some versions of PHP.
* Fix for Parent Docgroups were not being inherrited in NewsPublisher as expected [bug 165].
* Implement #44: Make publish/unpublish dates editable by hand (don't force repeated clicks with the date picker)
* Clarified document editing form Summary line (changed to "Summary (introtext)") to clear up DB confusion for devs
* Fix placeholder behavior for unrecognized placeholder and for those that could be viewed as false (e.g., "0")
* Restored ability to truncate after N-characters in Newslisting Snippet without being in the middle of an open tag
* FCK Editor updated to version 2.1.2 and added source protection for [[ ]] and [! !].
* Fix empty variable induced parse error [bugs 127 and 144]
* New basic personalization snippet: Personalize.
* New conditional display snippet based on logged in user's group membership: MemberCheck.
* Added proper primary key index to site_tmplvar_templates table to prevent duplicate entries from upgrade script.
* Added preliminary Spanish Translation.
* Massive feature updates to Newslisting.
* Added new role and ability to preview unpublished docs in QE and in the manager.
* Added ability to UserComments snippet to specify doc to read comments from.
* New @INHERIT @binding.
* Prevent manager from timing out and loosing work during long editing sessions [bug 146].
* Added Duplicate command to contextual menu [request 5].
* Add ability to limit editing and return to manager rights in QE.
* Fix duplicate language definitions and boatloads of typos [bug 141]
* Updated help and about pages [to dos 96 and 97]
* Fix popup calendar navigation [bug 134]
* Major fixes to installer in non-US-English instances [bug 139].
* Fix PHP4 compatibility with updated QuickEdit (and additional QuickEdit updates)
* Updated and/or new Japanese, Italian and German tranlations.
* fix do not allow moving of document to it's own descendents [bug 135]
* fix web user change password [bug 131]
* fix document duplication issues [bug 133]
* NewsListing snippet updated to v2.0
* QuickEdit: Added new permission and ability to view unpublished documents in the frontend
* New features for QuickEdit module including in-toolbar checking for or single checkbox TVs and Apply and Revert functionality.
* @SELECT binding now processes placeholders before executing the SQL SELECT; note change of syntax for existing variables {PREFIX} --> [+PREFIX+] and {DBASE} --> [+DBASE+]
* Added German file.
* New DBAPI methods, getTableMetaData() - returns detailed structure information about a specific database table; prepareDate() - which converts a UNIX timestamp into the proper format for the specified database table type; and initDataTypes() - initializes arrays of database column types associated with each PHP primitive type (numeric, string, or date)
* DBAPI: getRecordCount() now returns 0 instead of throwing an error if passed an invalid SQL result set resource
* WebLogin: fixed various warnings, $modx->getURL() calls refactored to $modx->getUrl()
* Updated Italian language to version  1.2.
* QuickEdit: Fixed a missing ")" that was causing a syntax error
* Small fix to default content CSS for front-end RTE's other than FCKEditor (TinyMCE and Xinha).
* [FS 123] Fix for web user permissions not being saved right for new web users
* [FS 85] Modified template variable values to use the htmlentities function upon saving text, textarea, and textareamini variable types
* [FS 87] Fixed case-sensitivity problem with renaming meta keywords
* [FS 120] Hard coded email messages in config settings
* [FS 118] QuickEdit: hardcoded languages
* Added Japanese translation
* QuickEdit: Added multi-lingual support
* Changed English language file include path from relative to absolute to support usage from frontend
* Updated Italian language file
* Various parser refactorings to improve speed and 
* Modified FCKEditor configuration parameters to allow selection of existing toolbars via a dropdown menu
* Added the language files back into FCKEditor for future use.  Might try adding language selection as part of the plugin in later builds.
* Changed properties field in site_modules table from VARCHAR to TEXT.
* Modified showParameters and setParameter scripts for snippets, modules, and plugins by renaming list datatype to menu and added new list and list-multi datatypes.
* Added index.html files to asset folders.
* [FA 115] Can now send messages to multiple recipients in manager
* fix for bugs 108 and 109
* [FS 113] Alias original NewsListing snippet call to new startID
* Add Italian as another language option.
* [FS 117] Partial fix: long plugin configs fail due to column type being varchar(255)
* Applied ascending sort order to keyword list
* Install fix so the database creating routine includes ` around the database name in case it includes reserved words or non-alphanumeric characters
* Removed a large number of redundant English language definitions
* [FS 111] Fixed endless loop when saving settings (affects FF and Safari)




MOD 0.9.0 (x9 - October 28, 2005)
==================
* additional minor bug fixes, tweaks and updates
* preliminary testing works in MySQL 5.0
* added .doc, .xls, .mp4 and .txt files to list of allowable upload file types for the file manager
* restore enter key for login via webuser logins
* remove redundant language file entries in english.inc.php
* fix config["base_path"] formatting (8x) with double-slashes in main document.parser.class.inc.php
* new French translation file
* NewsFeed RSS2.0 snippet allows functional HTML and links, closes open tags on summaries and validates
* update the DIV class name surrounding RTEs in front end
* new DropMenu menu builder snippet
* new demo Site Content option in the installer
* updated capabilities in NewsListing, UserComments and NewsFeed snippets
* new Contact email form snippet
* update to QuickEdit module functionality and features
* update fckeditor 2.1.1 release
* web user error fixes
* added script.aculo.us and Win IE webstandards compatibility code
* fix webuser name length limitation (Bug #59)
* fix RTE sizing bug that caused RTE to overlap Submit buttons in Firefox
* Another experimental menu layout in Manager
* fixed bug in login prcoessor
* update language, tv, accesscontrol.inc.php
* update snippet and plugin to use word wraping on textarea
* update chunks, template to use FCK's RTE
* BUG #84 - Fixed login captcha bypass (Mark)
* NewsFeed now defaults to &makerss=1
* update NewsListing with news features (Ryan & Greg)
* #msg6246 - update NewsFeed to support valid RSS2.0 tags (Mark)
* add &linktext support to NewsListing snippet
* add &tpl (chunk name) template support to NewsListing snippet. Fields - [+title+],[+summary+],[+author+],[+date+],[+linkurl+]
* load gd2 dynamically when using captcha
* fix cache path bug in cache_sync.class.processor.php
* add &aliastitle to NewsPublisher
* fix:#64 - makeURL is acting up when aliases are on and off.
* prevent duplicate alias when importing html
* fix bug when saving web user
* remove .cgi files from manager\media\browser\mcpuk\connectors\php\Commands\helpers
* fix TV checkbox delimiter bug
* add &groups parameter to WebSignup Snippet
* add Manager Interface Access to to manager user settings
* add Manager Login Startup to manager user settings
* update quickedit module


MODx2 TP3.2 (August 22, 2005)
==================
* add new snippets FileCabinet, NewsFeed, NewsPublisher and UserComments
* fix module access bug
* added QuickEdit front-end editor (thanks to adam)
* update FCK RTE t 2.0 final (thanks to Jeff)
* fix Port number displayed twice bug
* fix Duplicate Document bug
* fix bug in Resource browser and changed resource type from docs to files
* fix bug - Date/Time MySQL data type doesn't work with Date Formatter widget (thanks to Adam)
* move event log files to action/dynamic folder
* added DB API String Escape Method called escape()
* fix bug - Where clause in getDocumentChildren does not work (thanks to Olaf)
* fix bug: Layout 3 option is not available
* add support for Multiple installations by using session_name (thanks to Lohengrin)
* fix duplicating module bug
* add support for array values when saving settings (thsnks to Jeff)
* fix bug. placeholders are now available to [!snippets!]
* add OnParseDocument and OnLoadWebDocument
* add IIS friendly urls to core
* fix bug with installer reseting private pages
* add array saving options to system settings
* fix bug in datasetpager.inc.php
* fix bug in IIS friendly paths


MODx2 RC3
==================
* redesign the installer
* remove module_management and exec_plugin files
* rename file.static.action.php to file.dynamic.action.php and moved to dynamic
* add system event listeners to plugins
* add System Events to MODx2: invokeEvent(evtName,params), addEventListener(evtName,snippetId)
* add isMemberOfWebGroup and getUserDocGroups

* add stay options to data entry forms
* modify htmlarea editor.js line 61 to use document.writeln()
* add allowed ip and allowed days user settings
* add field to user attributes dob, photo, gender, country, state, zip, phone, fax
* add isBackend function
* add isFrontend function
* rename changePassword to changeWebUserPassword to aviod confusion
* add getFullTableName function to parser
* add regClientScript function to parser - these scripts are loaded at the end of the page
* add regClientStartupScript function to parser - Registers Startup Client-side JavaScript - these scripts are loaded at inside the <head> tag
* rename etomiteCache.idx to siteCache.idx 
* rename publishing files from etomitePublishing.idx to sitePublishing.idx
* rename cache files from .etoCache to .pageCache
* change IN_ETOMITE_SYSTEM to IN_MANAGER_MODE
* change IN_ETOMITE_PARSER to IN_PARSER_MODE
* add supportby.php file for developers to show and display their support website  on the login page
* modify addNotice Modified to add the Powered By MODx link to pages that include the  <div id=\"poweredbymodx\"></div> tag
* fix bug inside cache_sync_class.processor.php. line 66 change to $tmpPHP .= '$this->config[\''.$key.'\']'." = '".mysql_escape_string($value)."';\n";
* add new #declare syntax to weblogin template - this will allow you to declare your own section separators instead of <!--tpl_separator-->
* important change: please update youy signup email to use the new placeholders. This version will still honor the %s codes but future versions might not.
* add getWebUserInfo function
* add getManagerUserInfo function
* new weblogin template will standardize on the new placeholder variable format [+name+]
* modified weblogin to support password reminder

* MODx forced out of the Etomite Forums - March 19, 2005

* fix bug when editing document with HTMLArea TableOperations and ContextMenu
* fix import site from html bug
* fix cache bug with alias that uses '
* fix treeview to support safari
* fixed: after entering your password, pressing the enter key will submit the form (IE,MOZ)
* change: Turn off continue after editing by default. Check the checkbox to enable continue after editing (or sticky) mode
* fix bug when moving documents
* change: Import Site from HTML now requires the "new document" permission to be set. Changed from "edit document"
* fix: all manager pages are now accessible UNLESS restricted to a admin group, just like web-user pages. 
* fix runsnippet bug
* fix snippet cache bug in etomite.class.inc.php in evalSnippets.
* full support for MySQL 3.23

MODx2 RC2
==================
* update PageTrail snippet to support MODx2. Also added style and class property. See the properties tab
* add new Transition property to Marquee Control
* add new Transition property to Ticker Control
* add getTemplateVars($idname=array(),$fields="*") and getTemplateVarOutput($idnames) api functions
* Reduce Marquee Speed (1-20). Set Speed datatype to float. e.g. 1.5
* fix bug with htmlarea TV not saving when content is changed during document edits
* fix @ bindings for listbox and DropDown
* updated tutorials. See new API Quick Reference
* snippets tab in document edit only shows available snippet (in RC2)

* fix getTemplateVar() bug. This function will accept either a TV id or name and returns a record
* fix url aliasing so that it now shows sub-folders with prefix and suffix added only to the document's alias. used Daath aliasing solution. (This feature is optional. See settings)
* add support for nested bindings
* set ViewPort's Width and Height property to string
* increase TV name length to 50 chars. I don't think you should use TV names greater than 50 chars. ALTER TABLE `{PREFIX}site_tmplvars` MODIFY COLUMN `name` VARCHAR(50) NOT NULL;
* check for numeric aliases before IDs

* add new words to language library
* add datagrid display format
* add floater display format to TV
* add duplicate feature to snippets, chunks, templates and template variables
* fix htmlsnippet action index 77 and 78 in resources.dynamic.action.php,8.php, save_htmlsnippets.php. actionlist.php listed action 78 as edit but 77 was actually used in coding
* strip unsed [*variables*] from document
* add property feature to snippets : &name=desc;data_type;default_value
* enhance backup manager to support backup of large databases
* fix parent-child assignment. Parent cannot become it's own child
* add theme support to the manager - See Configuration -> Miscellaneous settings -> Manager Theme
* fix PHP5 open_basedir bug in imagemanger/classes by using dirname(__FILE__)

* add datasource bindings to TV
* add display parameters to TV
* add new image type to TV
* add rad14701 db functions and new getDocuments limit param
* Fix bug found in both web and manager user document access. A document is flagged as private whenever the document group that i belongs to is assigned or links to a user group. In other words if the document is assigned to a document group that is not yet linked to a user group then that document will be made public. Documents that are private to the manager users will not be private to web users if the document group is not assigned to a web user group and visa versa.
* fix treeview contextmenu in mozilla

* add "Import site from HTML" feature - see import_site.static.action.php
* improve treeview parsing time by 30-40% - noticeable on large sites > 100 documents
* add duplicate document feature - see "Duplicate" button in document_data.static.php
* fix bug when deleting web user with same id as logged in manager user
* modify tabpane.js to trigger external js functions when a tab is clicked
* add tabs to document editor. Page Settings and Preview Tabs with save and refresh button
* fix Page Title Ampersands bug  - &amp; &trade; now works inside pagetitle
* update set_error_handler to support PHP 5
* modify WebLogin Template designs due to some problems with javascript's [] and the template engine. New template fields will be formatted as [.name.]
* add Placeholder Variables to etomite API. usage: [+name+]
* add getTemplateVar() function to etomite.class.inc.php
* add Template Variables (TV) - formerly called DocVars
* fix bug with webuser reset failed element in FireFox
* repair broken permissions issue with file manager at line 157 - ryan
* add a @ to line 3 of logout.processor.php to suppress "Session object destruction failed" error on the first session_destroy().  To reproduce this error login to the manager and click on the Site-> Launch Site menu. From the new window go to the manager. Go back to the previous window and then click logout. This would then generate a "Session object destruction failed"
* add getSnippetId() function to etomite.class.inc.php
* add Backup Manager  - currently back ups selected db tables
* fix bug in ImageEditor.php at line 422 when detecting Gif editing functions 
* enhance image selection inside HTMLArea's ImageManger (images.php file @ line 55)
* modify Inbox welcome message to become more visible. 
* add db_admin, view_address, new_address, save_address, delet_address to user roles.
* fix security access bug found inside etomite file browser
* modify etomite getDocument() function to look for published and deleted documents. New function getDocument($id=0,$fields="*",$published=1, $deleted=0)
* add Delete folder option to File Browser
* add row-highting to file browser color
* add addslashes to cache_sync.class.processor.php line 52 to fix a minor path bug found in the etomitecache.idx file
* add unzip option to file manager to allow users to quickly unzip files and folders. The php_zip.dll file is required
* add max upload size to system settings
* add phpmailer.inc.php to includes/controls folder 
* add datasetpager.php to includes/controls folder
* add New Folder link to Filemanager - supports recursive folder creation
* add download file option to filemanager and fixed preview bug
* Add user settings for backend users
* modify mutate_settings.dynamic.php to use realpath when getting path information 
* use mapPath($this-getCachePath()) instead of dirname(__FILE__) in etomite class
* add mapPath function to etomite api
* add getManagerPath() to etomite api - this is useful if you need access to the manager folder from either the front-end or the backend.
* add getCachePath() to etomite api - this is useful if you need access to the cache foldder from either the front-end or the backend. The etomite class also uses this file.
* modify weblogin snippet
* add login home page to web user settings
* full support for Interactive Snippets -  only admininstrator (RoleID 1) can interact with snippets at the moment
* added fix for Manage Files - "To Top Level" Incorrect path
* modified line 209:mutate_web_user.dynamic.action.php and line 233:mutate_user.dynamic.action.php to show select block checkbox if blockuntil date is set.
* fix javascript bug in logging.static.action.php. Something to do with '<i>(not set)</i>' being rendered as >i>(not set)</i>'
* added more sort options, Date created, Date Modified
* added Jeroen's Treeview State saver
* add paging to web users in user_management
* added support for <div id="etomitecredits"> and <div id="poweredbyetomite"> div tags to format output from the addNotice() API function
* fix bug with duplicate page listings due to two or more access groups
* purge document_groups table when purging documents
* adjust layout 2 left col to 250px in 1.php
* add Unauthorized Page option to Site settings:Enter the ID of the document you want to send users to if they request a secured or unauthorized document. NOTE: make sure this ID you enter belongs to an existing document, and that it has been published and is publicly accessible!
* add reset template options in site settings
* add Turn Preview Window On/Off in Config. - from SniperX
